javax.visrec.ml.eval

## Interface Evaluator<T1,T2>

Type Parameters:
  `T1` - Model class
  `T2` - Data set class

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface Evaluator<T1,T2>

All evaluators implement this interface. Maybe move to visrec.ml.eval CONSIDER: using more specific model type instead of general model class? Classifier, Regressor?

Since:
  1.0
Author:
  Zoran Sevarac

### Method Summary

All Methods Instance Methods Abstract Methods
`PerformanceMeasure` `evaluatePerformance(T1 model, T2 testSet)` Evaluate model with specified data set.

### Method Detail

#### evaluatePerformance

    PerformanceMeasure evaluatePerformance(T1 model,
                                           T2 testSet)

Evaluate model with specified data set. Return Map with performance metrics and values? `Map<String, PerformanceMeasure>` ili `Map<Object, PerformanceMeasure>`

Parameters:
  `model` - A model to evaluate
  `testSet` - Data to use for evaluation
Returns:
  performance measures of a model for the specified test set